apt 3.2.0 commandline package manager

Public Member Functions | Protected Types | Protected Member Functions | List of all members
pkgCdrom Class Reference

## Public Member Functions
bool | Ident (std::string &ident, pkgCdromStatus *log)
bool | Add (pkgCdromStatus *log)

## Protected Types
enum | { STEP_PREPARE = 1 , STEP_UNMOUNT , STEP_WAIT , STEP_MOUNT , STEP_IDENT , STEP_SCAN , STEP_COPY , STEP_WRITE , STEP_UNMOUNT3 , STEP_LAST }

## Protected Member Functions
bool | FindPackages (std::string CD, std::vector< std::string > &List, std::vector< std::string > &SList, std::vector< std::string > &SigList, std::vector< std::string > &TransList, std::string &InfoDir, pkgCdromStatus *log, unsigned int Depth=0)
bool | DropBinaryArch (std::vector< std::string > &List)
bool | DropRepeats (std::vector< std::string > &List, const char *Name)
bool | DropTranslation (std::vector< std::string > &List)
void | ReduceSourcelist (std::string CD, std::vector< std::string > &List)
bool | WriteDatabase (Configuration &Cnf)
bool | WriteSourceList (std::string Name, std::vector< std::string > &List, bool Source)
int | Score (std::string Path)

## Member Function Documentation

## ◆ Add()

bool Add | ( | pkgCdromStatus * | log | ) |

Todo
  We ignore stat() errors here as we usually have only one of those in use

References SigVerify::CopyAndVerify().

The documentation for this class was generated from the following files:

- apt-pkg/cdrom.h
- apt-pkg/cdrom.cc